/* System */
System.Gadget.settingsUI = "settings.html";
System.Gadget.onSettingsClosed = settingsClosed;
window.onload = init;

/* Variables */
var _code = 1000;

var _date = null;
var _loc  = null;
var _min, _max  = null;
var _wcam = "images/webcam.png";
var _pic  = "images/load.gif";

var sys_webcam = false;
var refresh_rate = 1200000;

function init() {
	/* Language Init */
	init_lang();
	
	_date = lang_title;
	_loc  = lang_loading;
	_min  = lang_not_availide;
	_max  = lang_not_availide;
	
	/* Language Define */
	document.getElementById("label_website").innerHTML = lang_website;
	document.getElementById("label_website").href = "http://" + lang_website;

	/* Core Init */
	_code        = System.Gadget.Settings.read("pcode");
	_wcam        = System.Gadget.Settings.read("webcam");
	refresh_rate = System.Gadget.Settings.read("rf_rate");
	
	/* Design Init */
	document.getElementById("error").style.visibility = "hidden";
	resize_w("normal");
	hideAll(false);
	
	/* Task Init */
	sys_webcam   = (_wcam == "none" || _wcam == "") ? false : true;
	_code        = (_code == "") ? 1000 : _code;
	refresh_rate = (refresh_rate == "") ? 1200000 : refresh_rate * 60000;
	
	/* Working */
	refresh();
	document.body.focus(); /* Fix Selected url bug */
}

function settingsClosed(event) {
	if(event.closeAction == event.Action.commit)
		init();
}

function refresh() {
	/* Change Picture to Loading */
	document.getElementById("picture").style.backgroundImage = "url(images/load.gif)";
	
	getData("http://www.meteobelgium.be/service/gadget/forecast.php?language=" + lang + "&code=" + _code);
	setTimeout("refresh()", refresh_rate);
}

function displayData() {
	/* Printing Globals Variables */
	document.getElementById("date").innerHTML = _date;
	document.getElementById("loc").innerHTML  = _loc;
	
	document.getElementById("tmin").innerHTML = _min+"C";
	document.getElementById("tmax").innerHTML = _max+"C";
	document.getElementById("picture").style.backgroundImage = "url("+_pic+")";
	
	/* Lang Defines */
	document.getElementById("label_min").innerHTML = lang_min;
	document.getElementById("label_max").innerHTML = lang_max;
	
	if(sys_webcam)
		resize_w("normal");
	else
		resize_w("small");
}

function parsingData(data) {
	regex = new RegExp("[;]", "g");
	array = data.split(regex);
	
	/* Check Code Postal */
	if(array[2] == null) {
		setError(1, "main");
		return 0;
	}
	
	_loc  = array[0];
	_date = array[1];
	_min  = array[2];
	_max  = array[3];
	_pic  = array[4];
	
	displayData();
}

function setError(id) {
	div = document.getElementById("error");
	div.style.visibility = "visible";
	
	switch(id) {
		case 1:
			resize_w("small");
			div.innerHTML = lang_zip_failed;
			hideAll(true);
		break;
		
		case 5:
			// div.innerHTML = "XML Data Error";
		break;	
	}
}

function resize_w(size) {
	if(size == "normal") {
		document.getElementById("webcam").style.visibility = "visible";
		document.getElementById("webcam").style.backgroundImage = "url("+_wcam+"?null=" + Math.random() + ")";
		document.getElementById("cont_info").style.marginTop = "30";
		document.body.style.height = "245px";
		document.body.style.backgroundImage = "url(images/back.png)";
	} else {
		document.getElementById("webcam").style.visibility = "hidden";
		document.getElementById("cont_info").style.marginTop = "30px";
		document.body.style.height = "155px";
		document.body.style.backgroundImage = "url(images/back_small.png)";
	}
}

function hideAll(yes) {
	if(yes) {
		document.getElementById("cont_info").style.visibility = "hidden";
		document.getElementById("date").style.visibility = "hidden";
		document.getElementById("loc").style.visibility = "hidden";
	} else {
		document.getElementById("cont_info").style.visibility = "visible";
		document.getElementById("date").style.visibility = "visible";
		document.getElementById("loc").style.visibility = "visible";	
	}
}
