/* Init Variables */
System.Gadget.onSettingsClosing = SettingsClosing;
window.onload = init;

var code_     = 1000;
var webcam_ln = "none";
var rf_rate   = 0;

/* Functions */
function init()  {
	apply_lang();
	
	code_    = System.Gadget.Settings.read("pcode");
	webcam_  = System.Gadget.Settings.read("webcam");
	rf_rate  = System.Gadget.Settings.read("rf_rate");
	
	document.getElementById("pcode").value = (code_ == "") ? 1000 : code_;
	
	/* Select Current Refresh Rate on List */
	for(i = 0; i < 5; i++)
		if(document.getElementById("refresh_rate").options[i].value == rf_rate)
			document.getElementById("refresh_rate").selectedIndex = i;
	
	for(i = 0; i < 2; i++)
		if(document.getElementById("lang").options[i].value == lang)
			document.getElementById("lang").selectedIndex = i;
	
	data = getData("http://www.meteobelgium.be/service/gadget/list_realtime.php?language=" + lang);
}

function change_lang() {
	System.Gadget.Settings.write("lang", document.getElementById("lang").value);
	
	apply_lang();
	
	data = getData("http://www.meteobelgium.be/service/gadget/list_realtime.php?language=" + lang);
}

function apply_lang() {
	init_lang();
	
	document.getElementById("label_lang").innerHTML    = lang_language;
	document.getElementById("label_zipcode").innerHTML = lang_zipcode;
	document.getElementById("label_webcam").innerHTML  = lang_webcam;
	document.getElementById("label_refresh").innerHTML = lang_refresh_rate;
	document.getElementById("label_nl").innerHTML      = lang_nl;
	document.getElementById("label_fr").innerHTML      = lang_fr;
	document.getElementById("label_check").value       = lang_check;
	
	for(i = 0; i < document.getElementById("refresh_rate").length; i++)
		document.getElementById("refresh_rate").options[i].text = document.getElementById("refresh_rate").options[i].value + " " + lang_minutes;
}

function SettingsClosing(event) {
	if (event.closeAction == event.Action.commit) {
		System.Gadget.Settings.write("pcode", document.getElementById("pcode").value);
		System.Gadget.Settings.write("webcam", document.getElementById("webcam").value);
		System.Gadget.Settings.write("rf_rate", document.getElementById("refresh_rate").value);	
		System.Gadget.Settings.write("lang", document.getElementById("lang").value);
		event.cancel = false;
	}
}

function parsingData(data) {
	regex = new RegExp("[;]", "g");
	array = data.split(regex);
	cend = 0;
	
	document.getElementById("webcam").options.length = 0;
	
	input = new Option(lang_none, "none", false, true);
	document.getElementById("webcam").options[document.getElementById("webcam").length] = input;
	
	/* Inserting New List */
	for (i = 0; i < array.length; i += 2) {
		input = new Option(array[i], array[i + 1], false, true);
		document.getElementById("webcam").options[document.getElementById("webcam").length] = input;
		
		if(array[i + 1] == webcam_)
			cend = document.getElementById("webcam").length - 1;
	}
	
	document.getElementById("webcam").options[cend].selected = true;
}

/* Check Button */
function checkPost() {
	getData2("http://www.meteobelgium.be/service/gadget/forecast.php?code="+document.getElementById("pcode").value, "chk_exists");
}

function _checkExists(data) {
	regex = new RegExp("[;]", "g");
	array = data.split(regex);
	
	if(array[2] == null)
		document.getElementById("pcode_exi").innerHTML = '<span style="color: #AA0000;">' + lang_invalid_zip + '</span>';
	else
		document.getElementById("pcode_exi").innerHTML = '<span style="color: #00AA00;">' + lang_valid_zip + '</span>';
}
